/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.rss.rcm.accessor.simple;

import org.logical_paradox.common.io.ByteStream;
import org.logical_paradox.common.util.ArrayListByteStream;

/**
 * コンテンツバイトストリームクラスの配列
 * 
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class ContentsArrayListByteStream extends ArrayListByteStream {
	/**
	 * コンストラクタ
	 *
	 */
	public ContentsArrayListByteStream() {
		super();
	}
	/**
	 * コンストラクタ
	 * 
	 * @param bs バイトストリームクラスの配列
	 */
	public ContentsArrayListByteStream(ByteStream[] bs) {
		super(bs);
	}
	/**
	 * コンストラクタ
	 * 
	 * @param bs バイトストリームクラスのバイト列表現
	 */
	public ContentsArrayListByteStream(byte[] bs) {
		super(bs);
	}
	/**
	 * バイト列からオブジェクトを復元する
	 * 
	 * @param bstream バイト列
	 * @return 復元されたオブジェクト
	 */
	protected ByteStream buildByteStreamObject(byte[] bstream) {
		return new ContentsByteStream(bstream);
	}

}
